org.firebirdsql.gds.ng.wire

## Class WireDatabaseConnection

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractConnection<T,C>
  - - org.firebirdsql.gds.ng.wire.WireConnection<IConnectionProperties,FbWireDatabase>
    - - org.firebirdsql.gds.ng.wire.WireDatabaseConnection

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public final class WireDatabaseConnection
      extends WireConnection<IConnectionProperties,FbWireDatabase>

  Wire connection instance for connecting to a database
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.gds.ng.AbstractConnection

      `attachProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WireDatabaseConnection(IConnectionProperties connectionProperties)` Creates a WireDatabaseConnection (without establishing a connection to the server) with the default protocol collection.
    `WireDatabaseConnection(IConnectionProperties connectionProperties, IEncodingFactory encodingFactory, ProtocolCollection protocols)` Creates a WireDatabaseConnection (without establishing a connection to the server).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FbWireDatabase` | `createConnectionHandle(ProtocolDescriptor protocolDescriptor)` Creates the connection handle for this type of connection.

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.WireConnection

      `clearAuthData, close, finalize, getClientAuthBlock, getProtocolArchitecture, getProtocolMinimumType, getProtocolVersion, getXdrStreamAccess, identify, isConnected, readNextOperation, resetSocketTimeout, setSoTimeout, socketConnect, writeDirect`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractConnection

      `getAttachObjectName, getAttachProperties, getEncoding, getEncodingDefinition, getEncodingFactory, getPortNumber, getServerName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WireDatabaseConnection

          public WireDatabaseConnection(IConnectionProperties connectionProperties)
                                 throws java.sql.SQLException

      Creates a WireDatabaseConnection (without establishing a connection to the server) with the default protocol collection.
      Parameters:
        `connectionProperties` - Connection properties
      Throws:
        `java.sql.SQLException`

    - #### WireDatabaseConnection

          public WireDatabaseConnection(IConnectionProperties connectionProperties,
                                        IEncodingFactory encodingFactory,
                                        ProtocolCollection protocols)
                                 throws java.sql.SQLException

      Creates a WireDatabaseConnection (without establishing a connection to the server).
      Parameters:
        `connectionProperties` - Connection properties
        `encodingFactory` - Factory for encoding definitions
        `protocols` - The collection of protocols to use for this connection.
      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### createConnectionHandle

          protected FbWireDatabase createConnectionHandle(ProtocolDescriptor protocolDescriptor)

      Description copied from class: `WireConnection`
      Creates the connection handle for this type of connection.
      Specified by:
        `createConnectionHandle` in class `WireConnection<IConnectionProperties,FbWireDatabase>`
      Parameters:
        `protocolDescriptor` - The protocol descriptor selected by the identify phase
      Returns:
        Connection handle

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.